package com.leolztang.sb.aop.aspect;

import org.aspectj.lang.ProceedingJoinPoint;
import org.aspectj.lang.annotation.Around;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Pointcut;
import org.springframework.context.annotation.Configuration;

@Aspect
@Configuration
public class HelloAspect {

	//切入点在实现类的方法，如果在接口，则会执行doBefore两次
	@Pointcut("execution(* com.leolztang.sb.aop.service.impl.*.sayHi(..))")
	public void pointcut1() {
    }

    @Around("pointcut1()")
    public Object doBefore(ProceedingJoinPoint pjp) throws Throwable {
    	System.out.println("doBefore");
    	return pjp.proceed();
    }
}
